Liens
GET https://scanflick.com/api/links/
curl --request GET \
--url 'https://scanflick.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne | Terme de recherche. |
| search_by | Optionnel Chaîne | Champ de recherche. Valeurs autorisées : url, location_url, name. |
| is_enabled | Optionnel Booléen | |
| project_id | Optionnel Entier | |
| domain_id | Optionnel Entier | |
| datetime_field | Optionnel Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Optionnel Chaîne | Filtrer les résultats à partir de cette date/heure. Format : Y-m-d H:i:s. |
| datetime_end | Optionnel Chaîne | Filtrer les résultats jusqu'à cette date/heure. Format : Y-m-d H:i:s. |
| order_by | Optionnel Chaîne | Champ utilisé pour trier les résultats. Valeurs autorisées : link_id, datetime, last_datetime, url, location_url, pageviews, name. |
| order_type | Optionnel Chaîne | Ordre des résultats. Valeurs autorisées : ASC pour un tri ascendant et DESC pour un tri descendant. |
| page | Optionnel Entier | Le numéro de page à partir duquel vous souhaitez obtenir les résultats. Valeur par défaut : 1. |
| results_per_page | Optionnel Entier | Nombre de résultats par page. Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. Valeur par défaut : 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports_is_enabled": 1,
"email_reports_last_datetime": "2026-09-30 02:32:17",
"url": "https://example.com/",
"location_url": "https://example.com/",
"type": "Example",
"file_name": "Example",
"file_size": 1,
"file_mime_type": "Example",
"name": "Example",
"settings": [],
"pageviews": 1,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 02:32:17"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://scanflick.com/api/links?page=1",
"last": "https://scanflick.com/api/links?page=1",
"next": null,
"prev": null,
"self": "https://scanflick.com/api/links?page=1"
}
}
GET https://scanflick.com/api/links/{link_id}
curl --request GET \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports_is_enabled": 1,
"email_reports_last_datetime": "2026-09-30 02:32:17",
"url": "https://example.com/",
"location_url": "https://example.com/",
"type": "Example",
"file_name": "Example",
"file_size": 1,
"file_mime_type": "Example",
"name": "Example",
"settings": [],
"pageviews": 1,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 02:32:17"
}
}
POST https://scanflick.com/api/links
| Paramètres | Détails | Description |
|---|---|---|
| location_url | Obligatoire Chaîne | L'URL de destination.Disponible lorsque : is_bulk = 0 |
| location_urls | Obligatoire Chaîne | L'URL de destination.Disponible lorsque : is_bulk = 1 |
| url | Optionnel Chaîne | L'alias URL du lien généré. Laissez vide pour en générer un aléatoire.Disponible lorsque : is_bulk = 0 |
| is_bulk | Optionnel Booléen | |
| domain_id | Optionnel Entier | - |
| project_id | Optionnel Entier | - |
| pixels_ids | Optionnel Tableau Entier | - |
| email_reports_is_enabled | Optionnel Booléen | Recevez des analyses simples et faciles à comprendre pour votre lien via l'adresse e-mail de votre compte.Disponible lorsque : is_bulk = 0 |
| schedule | Optionnel Booléen | - |
| start_date | Optionnel Chaîne | Disponible lorsque : schedule = true |
| end_date | Optionnel Chaîne | Disponible lorsque : schedule = true |
| pageviews_limit | Optionnel Entier | - |
| expiration_url | Optionnel Chaîne | - |
| password | Optionnel Chaîne | - |
| is_se_visible | Optionnel Booléen | - |
| forward_query_parameters_is_enabled | Optionnel Booléen | - |
| utm_source | Optionnel Chaîne | - |
| utm_medium | Optionnel Chaîne | - |
| utm_campaign | Optionnel Chaîne | - |
| sensitive_content | Optionnel Booléen | - |
| http_status_code | Optionnel Entier | Valeurs autorisées : 301, 302, 307, 308 |
| app_linking_is_enabled | Optionnel Booléen | - |
| cloaking_is_enabled | Optionnel Booléen | - |
| cloaking_title | Optionnel Chaîne | - |
| cloaking_meta_description | Optionnel Chaîne | - |
| cloaking_custom_js | Optionnel Chaîne | - |
| cloaking_favicon | Optionnel Fichier | - |
| cloaking_opengraph | Optionnel Fichier | - |
| targeting_type | Optionnel Chaîne | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = continent_code |
| targeting_continent_code_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = continent_code |
| targeting_country_code_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = country_code |
| targeting_country_code_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = country_code |
| targeting_city_name_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = city_name |
| targeting_city_name_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = city_name |
| targeting_device_type_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = device_type |
| targeting_device_type_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = device_type |
| targeting_browser_language_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = browser_language |
| targeting_browser_language_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = browser_language |
| targeting_rotation_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = rotation |
| targeting_rotation_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = rotation |
| targeting_os_name_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = os_name |
| targeting_os_name_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = os_name |
| targeting_browser_name_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = browser_name |
| targeting_browser_name_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = browser_name |
| is_enabled | Optionnel Booléen | - |
| name | Optionnel Chaîne | - |
curl --request POST \
--url 'https://scanflick.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://scanflick.com/' \
--form 'email_reports_is_enabled=1' \
--url 'https://scanflick.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://scanflick.com/' \
--form 'email_reports_is_enabled=1' \
{
"data": {
"id": 1
}
}
POST https://scanflick.com/api/links/{link_id}
| Paramètres | Détails | Description |
|---|---|---|
| location_url | Optionnel Chaîne | L'URL de destination. |
| url | Optionnel Chaîne | L'alias URL du lien généré. Laissez vide pour en générer un aléatoire. |
| domain_id | Optionnel Entier | - |
| project_id | Optionnel Entier | - |
| pixels_ids | Optionnel Tableau Entier | - |
| email_reports_is_enabled | Optionnel Booléen | Recevez des analyses simples et faciles à comprendre pour votre lien via l'adresse e-mail de votre compte. |
| schedule | Optionnel Booléen | - |
| start_date | Optionnel Chaîne | Disponible lorsque : schedule = true |
| end_date | Optionnel Chaîne | Disponible lorsque : schedule = true |
| pageviews_limit | Optionnel Entier | - |
| expiration_url | Optionnel Chaîne | - |
| password | Optionnel Chaîne | - |
| is_se_visible | Optionnel Booléen | - |
| forward_query_parameters_is_enabled | Optionnel Booléen | - |
| utm_source | Optionnel Chaîne | - |
| utm_medium | Optionnel Chaîne | - |
| utm_campaign | Optionnel Chaîne | - |
| sensitive_content | Optionnel Booléen | - |
| http_status_code | Optionnel Entier | Valeurs autorisées : 301, 302, 307, 308 |
| app_linking_is_enabled | Optionnel Booléen | - |
| cloaking_is_enabled | Optionnel Booléen | - |
| cloaking_title | Optionnel Chaîne | - |
| cloaking_meta_description | Optionnel Chaîne | - |
| cloaking_custom_js | Optionnel Chaîne | - |
| cloaking_favicon | Optionnel Fichier | - |
| cloaking_opengraph | Optionnel Fichier | - |
| targeting_type | Optionnel Chaîne | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = continent_code |
| targeting_continent_code_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = continent_code |
| is_enabled | Optionnel Booléen | - |
| targeting_country_code_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = country_code |
| targeting_country_code_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = country_code |
| is_enabled | Optionnel Booléen | - |
| targeting_city_name_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = city_name |
| targeting_city_name_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = city_name |
| is_enabled | Optionnel Booléen | - |
| targeting_device_type_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = device_type |
| targeting_device_type_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = device_type |
| is_enabled | Optionnel Booléen | - |
| targeting_browser_language_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = browser_language |
| targeting_browser_language_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = browser_language |
| is_enabled | Optionnel Booléen | - |
| targeting_rotation_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = rotation |
| targeting_rotation_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = rotation |
| is_enabled | Optionnel Booléen | - |
| targeting_os_name_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = os_name |
| targeting_os_name_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = os_name |
| is_enabled | Optionnel Booléen | - |
| targeting_browser_name_key[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = browser_name |
| targeting_browser_name_value[index] | Optionnel Chaîne | Disponible lorsque : targeting_type = browser_name |
| is_enabled | Optionnel Booléen | - |
| name | Optionnel Chaîne | - |
curl --request POST \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--form 'email_reports_is_enabled=0' \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--form 'email_reports_is_enabled=0' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports_is_enabled": 1,
"email_reports_last_datetime": "2026-09-30 02:32:17",
"url": "https://example.com/",
"location_url": "https://example.com/",
"name": "Example",
"settings": [],
"pageviews": 1,
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-09-30 02:32:17"
}
}
DELETE https://scanflick.com/api/links/{link_id}
curl --request DELETE \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \